org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryDiscardMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryDiscardMessage

All Implemented Interfaces:
  Externalizable, Serializable

    public class TcpDiscoveryDiscardMessage
    extends TcpDiscoveryAbstractMessage

Message sent by coordinator when some operation handling is over. All receiving nodes should discard this and all preceding messages in local buffers.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryDiscardMessage()` Public default no-arg constructor for `Externalizable` interface.
`TcpDiscoveryDiscardMessage(UUID creatorNodeId, IgniteUuid msgId)` Constructor.

### Method Summary

Methods
`IgniteUuid` `msgId()` Gets message ID to discard (this and all preceding).
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`client, client, creatorNodeId, destinationClientNodeId, destinationClientNodeId, equals, getFlag, hashCode, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryDiscardMessage

    public TcpDiscoveryDiscardMessage()

Public default no-arg constructor for `Externalizable` interface.

#### TcpDiscoveryDiscardMessage

    public TcpDiscoveryDiscardMessage(UUID creatorNodeId,
                              IgniteUuid msgId)

Constructor.

Parameters:
  `creatorNodeId` - Creator node ID.
  `msgId` - Message ID.

### Method Detail

#### msgId

    public IgniteUuid msgId()

Gets message ID to discard (this and all preceding).

Returns:
  Message ID.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `TcpDiscoveryAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015